<?php

    include("../../classes/database.class.php");
    include("../../classes/documentoModel.class.php");
    include("../../classes/documentoController.class.php");

    $idUsuario = $_POST["idUsuario"];
    $idTipoDoc = $_POST["idTipoDoc"];
    $idEntidade = $_POST["idEntidade"];
    $idPrazoPagamento = $_POST["idPrazoPagamento"];
    $entregue = $_POST["entregue"];
    $total = $_POST["total"];
    $troco = $_POST["troco"];
    $totalLiquido = $_POST["totalLiquido"];
    $totalImposto = $_POST["totalImposto"];
    $descontoGlobal = $_POST["descontoGlobal"];

    if($idUsuario == ""){
        $idUsuario = null;
    }
    if($idTipoDoc == ""){
        $idTipoDoc = null;
    }
    if($idEntidade == ""){
        $idEntidade = null;
    }
    if($idPrazoPagamento == ""){
        $idPrazoPagamento = null;
    }
    if($entregue == ""){
        $entregue = null;
    }
    if($total == ""){
        $total = null;
    }
    if($troco == ""){
        $troco = null;
    }
    if($totalLiquido == ""){
        $totalLiquido = null;
    }
    if($totalImposto == ""){
        $totalImposto = null;
    }
    if($descontoGlobal == ""){
        $descontoGlobal = null;
    }

    $modelo = new DocumentoController($idUsuario, $idTipoDoc, $idEntidade, $idPrazoPagamento, $entregue, $total, $troco, $totalLiquido, $totalImposto, $descontoGlobal);
    $id = $modelo->createDocumentoStock();
    echo $id;